View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000579aMuleMulti Platformpublic2005-09-18 12:332005-11-11 15:45
ReporterGnucco 
Assigned ToXaignar 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000579: Windows: amule kills itself when opening files > 2Gb
DescriptionIf a file bigger than 2Gb is being shared, when the method GetLengh() is called on the related CFile instance, the application abnormally exit.
Additional InformationThe macro MULE_VALIDATE_STATE in CFile.cpp:557 causes amule to exit.
The cause is that under win32 the off_t type is signed.

MULE_VALIDATE_STATE(iRc >= 0, wxT("CFile: Invalid file length"));
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001286)
Kry (manager)
2005-09-22 17:19

This is for xaignar
(0001288)
Xaignar (manager)
2005-09-23 20:06

off_t is signed under linux (posix?) as well (otherwise the check wouldn't make sense), however, the fact that the value is negative suggets that the size of the type is only 4 bytes, whereas it is 8 bytes on linux when large-file support is enabled. The question is then, how do we check for invalid values. It seems to me that changing CFile to use the 64bit seek/tell functions is required, though it would require moving away from using the off_t type.
(0001437)
Xaignar (manager)
2005-11-11 15:45

Fixed on current CVS. ;)

- Issue History
Date Modified Username Field Change
2005-09-18 12:33 Gnucco New Issue
2005-09-22 17:19 Kry Status new => assigned
2005-09-22 17:19 Kry Assigned To => Xaignar
2005-09-22 17:19 Kry Note Added: 0001286
2005-09-23 20:06 Xaignar Note Added: 0001288
2005-11-11 15:45 Xaignar Status assigned => resolved
2005-11-11 15:45 Xaignar Fixed in Version => CVS
2005-11-11 15:45 Xaignar Resolution open => fixed
2005-11-11 15:45 Xaignar Note Added: 0001437


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker